Skip to main content
POST
Add a driver

Authorizations

Authorization
string
header
required

Your fleet API key, e.g. Authorization: Bearer cxk_live_…. Create keys in the fleet portal under Developers.

Headers

Idempotency-Key
string
Maximum string length: 255

Body

application/json
first_name
string
required
Required string length: 1 - 255
last_name
string
required
Required string length: 1 - 255
email
string<email>
required
Maximum string length: 255
phone
string
required
Pattern: ^\+?[0-9\s-]{9,16}$
license_number
string
required
Required string length: 1 - 128
license_expires_at
string
required
Pattern: ^\d{4}-\d{2}-\d{2}$
date_of_birth
Available options:
gender
Available options:
national_id
Available options:
address
Available options:
city
Available options:
employee_id
Available options:
hire_date
Available options:
license_class
Available options:
license_issued_at
Available options:
emergency_contact_name
Available options:
emergency_contact_phone
Available options:
emergency_contact_relationship
Available options:
vehicle_id
Available options:
notes
Available options:

Response

Success

object
enum<string>
required
Available options:
driver
id
string
required
status
enum<string>
required
Available options:
active,
suspended,
pending,
archived
first_name
string | null
required
last_name
string | null
required
email
string | null
required
phone
string | null
required
employee_id
string | null
required
license_number
string | null
required
license_expires_at
string<date> | null
required
photo_url
string | null
required
vehicle_ids
string[]
required
profile
object | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
login_invite
object
required